#
# Makefile for 'reqtools.lib' and 'reqtoolsnb.lib'
#

ASMFLAGS=

.asm.o:
	@Echo "*e[33;1m  Asm -iINCLUDE: $<*e[0m"
	asm -iINCLUDE: $(ASMFLAGS) $*.asm

OBJS1 = rtEZRequest.o rtEZRequestTags.o rtGetLong.o rtGetString.o\
 rtFileRequest.o rtAllocRequest.o rtChangeReqAttr.o rtFontRequest.o
OBJS2 = rtPaletteRequest.o rtReqHandler.o rtEZRequestA.o rtGetLongA.o\
 rtFreeFileList.o rtGetStringA.o rtChangeReqAttrA.o rtFontRequestA.o
OBJS3 = rtAllocRequestA.o rtFreeRequest.o rtFreeReqBuffer.o rtFileRequestA.o\
 rtPaletteRequestA.o rtReqHandlerA.o rtSetWaitPointer.o
OBJS4 = rtScreenToFrontSafely.o rtSpread.o rtSetReqPosition.o\
 rtGetVScreenSize.o

reqtools.lib: $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4)
	oml reqtools.lib R $(OBJS1)
	oml reqtools.lib R $(OBJS2)
	oml reqtools.lib R $(OBJS3)
	oml reqtools.lib R $(OBJS4)
	@Delete $(OBJS1)
	@Delete $(OBJS2)
	@Delete $(OBJS3)
	@Delete $(OBJS4)

reqtoolsnb.lib: $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4)
	oml reqtoolsnb.lib R $(OBJS1)
	oml reqtoolsnb.lib R $(OBJS2)
	oml reqtoolsnb.lib R $(OBJS3)
	oml reqtoolsnb.lib R $(OBJS4)
	@Delete $(OBJS1)
	@Delete $(OBJS2)
	@Delete $(OBJS3)
	@Delete $(OBJS4)
